XMax = 41.86+1.8;
YMax = 33.14+1.8+1.8;
Wall = 1.8;
JackWall = 5.38;

BoxHeight = 12.75+Wall;  //14.97 ??

difference(){
    cube ([XMax,YMax,BoxHeight]); //main box
    
    // subtract inside of box
    translate([0,Wall,0])
    cube ([XMax-Wall,YMax-Wall*2,BoxHeight-Wall]); 
    
    // subtract cutout for cable
    translate ([XMax-Wall,YMax/2-4.5/2,0])
    cube ([4.5,4.5,4.5]);
    
    // sockets for nubs from base
    color ("blue")
    translate([XMax-JackWall-Wall*2+0.1,0,0])
    cube ([Wall*2-0.2,Wall,Wall-0.1]);

    color ("blue")
    translate([XMax-JackWall-Wall*2+0.1,YMax-Wall,0])
    cube ([Wall*2-0.2,Wall,Wall-0.1]);
    
    color("red")
translate ([2,2,12.75+Wall-0.4])
linear_extrude(0.4 )
text(text="NeitherNet", font="Garamond:style=Bold", size=5);
}



// nubs to go into base
color ("blue")
translate([JackWall+0.1,0,-Wall+0.1])
cube ([Wall*2-0.2,Wall,Wall-0.1]);

color ("blue")
translate([JackWall+0.1,YMax-Wall,-Wall+0.1])
cube ([Wall*2-0.2,Wall,Wall-0.1]);



